org.apache.ignite.internal.jdbc.thin

## Class AffinityCache

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.AffinityCache

    public final class AffinityCache
    extends Object

Affinity Cache.

### Field Summary

Fields
`static int` `DISTRIBUTIONS_CACHE_LIMIT` Partition distributions cache limit.
`static int` `SQL_CACHE_LIMIT` SQL cache limit.

### Constructor Summary

Constructors
Constructor and Description
`AffinityCache(AffinityTopologyVersion ver)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`JdbcThinPartitionResultDescriptor` `partitionResult(QualifiedSQLQuery sqlQry)` Retrieves partition result descriptor related to corresponding sql query.
`AffinityTopologyVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DISTRIBUTIONS_CACHE_LIMIT

    public static final int DISTRIBUTIONS_CACHE_LIMIT

Partition distributions cache limit.

See Also:
  Constant Field Values

#### SQL_CACHE_LIMIT

    public static final int SQL_CACHE_LIMIT

SQL cache limit.

See Also:
  Constant Field Values

### Constructor Detail

#### AffinityCache

    public AffinityCache(AffinityTopologyVersion ver)

Constructor.

Parameters:
  `ver` - Affinity topology version.

### Method Detail

#### version

    public AffinityTopologyVersion version()

Returns:
  Version.

#### partitionResult

    public JdbcThinPartitionResultDescriptor partitionResult(QualifiedSQLQuery sqlQry)

Retrieves partition result descriptor related to corresponding sql query.

Parameters:
  `sqlQry` - Qualified sql query.
Returns:
  Partition result descriptor or null.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020